Reseller & Bot Integration
API Documentation (v2 Standard)
Connect your automated store, Discord bot, or custom web application to ProlificSMM via our high-speed JSON REST API.
Your Merchant API Key
Please log in to view and copy your private API key.
POST
/api/v2Universal HTTP endpoint for placing orders, retrieving service catalogues, and polling order status.
1. Add New Order
POST /api/v2
Content-Type: application/json
{
"key": "YOUR_API_KEY",
"action": "add",
"service": 1,
"link": "https://instagram.com/myprofile",
"quantity": 1000
}Response: { "order": "e3b8a192-..." }
2. Service Catalog Query
POST /api/v2
Content-Type: application/json
{
"key": "YOUR_API_KEY",
"action": "services"
}Response: [ { "service": 1, "name": "IG Followers", "rate": "50.00", "min": 10, "max": 100000, "refill": true } ]
3. Order Status Telemetry
POST /api/v2
Content-Type: application/json
{
"key": "YOUR_API_KEY",
"action": "status",
"order": "e3b8a192-..."
}Response: { "charge": "120.00", "status": "COMPLETED", "remains": 0, "currency": "INR" }
4. Real-Time Balance Query
POST /api/v2
Content-Type: application/json
{
"key": "YOUR_API_KEY",
"action": "balance"
}Response: { "balance": "1450.00", "currency": "INR" }